# pybind_type_links module

pybind11 type linking

## Classes

class Foo
  A class

## Enums

class Enum: FIRST = 0 SECOND = 1
  An enum

## Functions

def type_enum_and_default(value: Enum = Enum.SECOND) -> None
  A function taking an enum with a default
def type_nested(arg0: typing.Tuple[Foo, typing.List[Enum]], /) -> None
  A function with nested type annotation
def type_nested_enum_and_default(value: typing.Tuple[int, Enum] = (3, Enum.FIRST)) -> None
  A function taking a nested enum with a default. This won't have a link.
def type_return() -> Foo
  A function returning a type

## Data

TYPE_DATA: Foo